org.apache.ignite.internal.processors.query.schema

## Interface SchemaIndexCacheFilter

    public interface SchemaIndexCacheFilter

Index row filter accepting current entry.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `apply(CacheDataRow row)`

### Method Detail

#### apply

    boolean apply(CacheDataRow row)
           throws IgniteCheckedException

Parameters:
  `row` - Cache data row.
Returns:
  `True` if row passes the filter.
Throws:
  `IgniteCheckedException` - If failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018